=head1 NAME

checkstyle -  static code analysis tool to check if Java source code complies with coding rules

=head1 SYNOPSIS

checkstyle -c configurationFile [options] [file]

=head1 OVERVIEW

Checkstyle is a development tool to help programmers write Java code that
adheres to a coding standard. It automates the process of checking Java code
to spare humans of this boring (but important) task. This makes it ideal for
projects that want to enforce a coding standard.

Checkstyle is highly configurable and can be made to support almost any coding
standard.

Checkstyle is highly configurable and can be made to support almost any coding
standard. Example configuration files are supplied supporting the Sun Code
Conventions and Google Java Style.

For information about Checkstyle, it can be found at
http://checkstyle.sourceforge.net/.

=head1 OPTIONS

=over 2

=item B<I<file>>

Specify the Java source code file to check.

=item B<-c I<configurationFile>>

Specify the file that configures the checks to apply.

=item B<-f I<format>>

Specify the output format. Options are "plain" for the DefaultLogger and "xml"
for the XMLLogger. Defaults to "plain".

=item B<-p I<propertiesFile>>

Specify a properties file to use.

=item B<-o I<file>>

Specify the file to output to.

=back

=head1 EXAMPLE

Check the source files in the src/main/java directory using the Google Java Style:

    checkstyle -c /usr/share/checkstyle/google_checks.xml src/main/java

=head1 SEE ALSO

http://checkstyle.sourceforge.net/cmdline.html
